commit: 1e8deaadf48e8db2769b422b50d4df270799762c
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 21 20:40:21 2018 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Oct 28 22:36:53 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e8deaad
dev-python/prompt_toolkit: version bump.
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.10
dev-python/prompt_toolkit/Manifest | 1 +
.../prompt_toolkit/prompt_toolkit-2.0.6.ebuild | 30 ++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/prompt_toolkit/Manifest
b/dev-python/prompt_toolkit/Manifest
index c0b955e3fda..a217f76b600 100644
--- a/dev-python/prompt_toolkit/Manifest
+++ b/dev-python/prompt_toolkit/Manifest
@@ -1 +1,2 @@
DIST prompt_toolkit-1.0.15.tar.gz 243734 BLAKE2B
b27e61bb444360abe95714e2014fcacf2355da0540b21af35cc40cb0f0115d0a3b027236235a89a95c1ec1fa947bf5b88b236b737fab5de78e7bd5fc798aa764
SHA512
10981be2ed8b71d0cd9f663c4de047cec9664d9276968c6eec40dc45b388d1acf8eba07d534369254f178931079bf39b04eb2ceac06aa63a2021ebf62387b2f5
+DIST prompt_toolkit-2.0.6.tar.gz 339714 BLAKE2B
f969edef98d25930e4d61c1500bb9c8d731dea29e8d154e6baa2ab4045ceaf9d577d46024734a255cc15a4c13685582309e9d2fe7ae3320257f6fd1f9981ada6
SHA512
37082011ee5b8d6fd9febef95c92494ed6108b9ad8c64ac580b69c3464781a2f0dcef5b1c4d06fe309a3036932f7c622042e6b2293acf2ab6f9f2aa3c48d9322
diff --git a/dev-python/prompt_toolkit/prompt_toolkit-2.0.6.ebuild
b/dev-python/prompt_toolkit/prompt_toolkit-2.0.6.ebuild
new file mode 100644
index 00000000000..8bf3a1119b1
--- /dev/null
+++ b/dev-python/prompt_toolkit/prompt_toolkit-2.0.6.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Building powerful interactive command lines in Python"
+HOMEPAGE="https://pypi.org/project/prompt_toolkit/
https://github.com/jonathanslenders/python-prompt-toolkit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]"
+
+DEPEND="
+ ${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test || die
+}